NetBeans Enterprise Pack 5.5 发行说明

NetBeans Enterprise Pack 5.5 包含 XML 架构工具模块、BPEL 模块、安全 Web 服务模块、Sun Java System Application Server Platform Edition 9 Update 1、Project Open ESB Starter Kit、Sun Java System Access Manager 7.1 以及 Sun Java System Policy Agent 2.2 for Sun Java System Application Server 9.0 Update 1/ Web Services。

注意:NetBeans Enterprise Pack 5.5 最终发行版本 (FCS) 下载中将不再提供 UML 功能,您可以通过自动更新中心下载 UML 功能。

目录

注意:如果需要了解有关安装本软件包中所含软件的信息,请参见 NetBeans Enterprise Pack 5.5 安装说明

系统要求

支持的操作系统

NetBeans IDE 5.5 需要在支持 Java VM 的操作系统上运行。下面列出了已通过 NetBeans Enterprise Pack 5.5 测试的平台。

  • Microsoft Windows XP Professional SP2 或更高版本
  • Mac OS X 10.4.5 或更高版本
  • Red Hat Fedora Core 3(简体中文以及其他亚洲语言环境的操作系统除外)
  • Solaris™ 10 Operating System (Solaris OS) 7/05(SPARC® 和 x86/x64 Platform Edition)

NetBeans Enterprise Pack 还可以在以下平台上运行:

  • Microsoft Windows 2000 Professional SP4
  • Solaris™ 8 OS(SPARC® 和 x86/x64 Platform Edition)和 Solaris™ 9 OS(SPARC® 和 x86/x64 Platform Edition)
  • 各种其他 Linux 发行版本
最低的硬件配置

注意:NetBeans IDE 要求最低屏幕分辨率为 1024x768 像素。

  • Microsoft Windows 操作系统
    • 处理器:500 MHz Intel Pentium III 工作站或与之等效的处理器
    • 内存:512 MB
    • 硬盘空间:850 MB 可用硬盘空间

  • Linux 操作系统
    • 处理器:500 MHz Intel Pentium III 工作站或与之等效的处理器
    • 内存:512 MB
    • 硬盘空间:450 MB 可用硬盘空间

  • Solaris OS (SPARC)
    • 处理器:UltraSPARC II 450 MHz
    • 内存:512 MB
    • 硬盘空间:450 MB 可用硬盘空间

  • Solaris OS (x86/x64 Platform Edition)
    • 处理器:AMD Opteron 100 系列 1.8 GHz
    • 内存:512 MB
    • 硬盘空间:450 MB 可用硬盘空间

  • Macintosh OS X 操作系统
    • 处理器:PowerPC G4
    • 内存:512 MB
    • 硬盘空间:450 MB 可用硬盘空间
建议的硬件配置
  • Microsoft Windows 操作系统
    • 处理器:1.4 GHz Intel Pentium III 工作站或与之等效的处理器
    • 内存:1 GB
    • 硬盘空间:1 GB 可用硬盘空间

  • Linux 操作系统
    • 处理器:1.4 GHz Intel Pentium III 工作站或与之等效的处理器
    • 内存:1 GB
    • 硬盘空间:850 MB 可用硬盘空间

  • Solaris OS (SPARC®)
    • 处理器:UltraSPARC IIIi 1 GHz
    • 内存:1 GB
    • 硬盘空间:850 MB 可用硬盘空间

  • Solaris OS (x86/x64 platform edition)
    • 处理器:AMD Opteron 100 系列 1.8 GHz
    • 内存:1 GB
    • 硬盘空间:850 MB 可用硬盘空间

  • Macintosh OS X 操作系统
    • 处理器:PowerPC G5
    • 内存:1 GB
    • 硬盘空间:850 MB 可用硬盘空间
所需的软件

NetBeans Enterprise Pack 5.5 需要在 Java SE Development Kit 5.0 Update 9 或更高版本(即 JDK 5.0 版本 1.5.0_09 或更高版本)上运行,该开发工具包为编译、调试并运行 Java 语言编写的应用程序提供了 Java 运行环境和开发工具。Sun Java System Application Server Platform Edition 9 Update 1 已在 JDK 5.0 Update 6 上通过了测试。

  • 对于 SolarisWindowsLinux,您可以访问 http://java.sun.com/javase/downloads/index.jsp 以下载适用于您的操作系统的 JDK。
  • 对于 Mac OS X,要求使用 Java SE Development Kit 5.0 Release 4。您可以通过 Apple 公司的 Developer Connection(开发者连接)站点进行下载,网址为 http://developer.apple.com/java(您必须在该站点上注册才能下载 JDK)。
Sun Java System Application Server 要求

如果要使用 NetBeans Enterprise Pack 5.5 的 J2EE 开发功能,则必须安装 Sun Java System Application Server Platform Edition 9 Update 1。该应用服务器与下载的 NetBeans Enterprise Pack 5.5 捆绑在一起。

返回页首


配置信息

本主题提供了配置该软件所需的配置信息。

Sun Java System Application Server

缺省应用服务器域 domain1 的缺省用户名和口令如下所示:
用户名:admin
口令:adminadmin

Sun Java System Access Manager

如果需要对访问管理器服务器的管理控制台进行访问,请使用以下信息:
用户名:amadmin
口令:admin123



限制

NetBeans Enterprise Pack 5.5 发行版本的限制如下所示:

  • 不支持编辑 Java EE 5 Web 应用程序中 jsp 使用的 Web 服务客户端的安全属性。
  • Java EE 5 Web 服务不支持 Liberty 标记配置文件。
  • NetBeans Enterprise Pack 5.5 复合应用程序的测试运行功能需要使用系统类路径,由于该类路径中包含了不兼容的 Jar 文件,从而会导致测试运行失败。
  • 修改 WSDL 文件后,将无法自动启动 BPEL 验证。
  • 在此发行版本的 BPEL 设计器中,并非完全支持“退出”、“活动消息”、“接收”和“活动事件”元素,使用这些元素时会有所限制。
    有关此发行版本的 BPEL 设计器中未提供的 BPEL 2.0 元素及属性的完整列表,请参见 BPEL 设计器开发者指南中的“本发行版本中未提供的 BPEL 2.0 元素”部分。
  • "Repeat Every" 类型的活动警报事件处理程序会中断 BPEL 流程的执行。

已知问题

您可以在 IDE 中了解和评估 NetBeans Enterprise Pack 5.5 发行版本的新增功能。我们希望您积极地参与这项活动,将遇到的任何问题记录在问题跟踪系统 (https://netbeans.org/community/issues.html) 中,从而为我们提供有价值的建议。

注意:有关特定于 IDE 的问题列表,请参阅 NetBeans™ IDE 5.5 发行说明

以下是本发行版本中一些尚未解决的问题:

安装
  • 如果 temp 目录中含有少量的可用硬盘空间或者没有可用的硬盘空间,则无法正常启动安装程序。

    描述:在 Microsoft Windows 上,如果将系统设置为使用 C 驱动器中的临时目录,并且该临时目录没有足够的空间来存储安装程序所需的临时文件,则安装程序将报告 C 驱动器中的硬盘空间不足,即使您选择安装在其他驱动器,也会显示此类问题。安装程序实际上是在报告它需要额外的临时空间。
    此类问题存在于 InstallShield 框架中。

    解决方法:使用 -is:tempdir custom-temp-dir 命令行参数来启动安装程序。其中,custom-temp-dir 应至少包含 130 MB 的可用硬盘空间。

  • 安装过程中出现 "NoClassDefFoundError: cannot access amserver" 错误消息。

    描述:如果在未清除访问管理器目录的情况下尝试再次安装该软件,则无法在安装过程中配置访问管理器。

    解决方法:

    • 在 Microsoft Windows 上:
      删除 %SystemDrive%\Documents and Settings\user-name\AMConfig_server_amserver_ 中指定的目录,然后删除文件 %SystemDrive%\Documents and Settings\user-name\AMConfig_server_amserver_
    • 在 UNIX/Mac 上:
      删除 $HOME/AMConfig_server_amserver_ 中指定的目录,然后删除文件 $HOME/AMConfig_server_amserver_
  • 使用 -console-silent 选项时安装失败。

    描述:在 UNIX 平台上,如果安装程序无法在非图形模式下运行安装过程,则安装程序建议您使用 -console-silent 选项来运行安装程序,可是在尝试执行此操作后,安装失败。

    解决方法:忽略来自安装程序的消息,并按照如下所述设置 GUI 环境以继续执行安装。
    出现此类问题的最常见原因是:您通过 telnet/ssh/rlogin 来连接目标系统,这意味着必须将 GUI 重定向到源系统。要成功执行此操作,必须满足以下两个要求:

    1. 应在要建立连接的源系统上设置并运行 X 服务器。
    2. 应在目标系统上将 DISPLAY 环境变量设置为正确的值。如果您使用的是 bash shell,则该变量的正确值和命令为:
      export DISPLAY=machine-name:display-number
      其中 machine-name 是要建立连接的源系统的 IP 地址,display-number 是显示的编号,通常为 0.0
  • 手动卸载后安装失败。

    描述:通过删除文件执行手动卸载后,在试图安装本产品时安装失败,原因是未清除 InstallShield VPD 注册表中的数据。

    解决方法:在重新开始安装之前,请删除 InstallShield VPD 注册表。对于 Microsoft Windows,此注册表驻留在 %SystemDrive%\Program Files\Common Files\InstallShield\Universal 目录中;对于 Linux/Solaris/Mac OS X,此注册表驻留在 ~/InstallShield 目录中。

    请注意,其他应用程序(例如,NetBeans IDE)使用 InstallShield VPD 注册表来存储其卸载数据。如果删除 InstallShield VPD 注册表,则会阻止这类应用程序的正确卸载。强烈建议您先卸载使用 InstallShield Universal 安装程序引擎的应用程序,然后再删除 VPD 注册表。

  • 在 Mac OS 上,无法通过双击安装程序来启动安装。

    描述:在 Mac OS 中,如果系统上的缺省 Java 版本是 1.4,则无法通过双击 .jar 文件来启动安装。

    解决方法:对于这种情况,请使用 Java 1.5 从命令行手动运行 .jar 文件。

  • 安装程序在 JRE 1.4 上运行时出现异常。

    描述:在 Microsoft Windows 上,如果目标计算机中没有预安装的兼容 JDK,InstallShield Windows 启动程序将允许您选择一个定制的 java.exe。选择了定制的 java.exe 后,安装程序并不执行任何兼容性验证。这意味着如果选择了与安装程序不兼容的 JRE 1.4 中的 java.exe,则会出现大量异常。此类问题存在于 InstallShield 框架中。

    解决方法:选择 JRE 1.5 中的 java.exe。有关下载并安装兼容 JDK 的信息,请参见所需的软件

  • 安装程序无法在 UNIX 上正常启动。

    描述:当文件系统的根目录中含有少量的可用硬盘空间或者没有可用的硬盘空间时,安装程序将无法在 UNIX 上正常启动。此类问题存在于 InstallShield 框架中。当文件系统根目录的可用硬盘空间小于 2.5 MB 时,就会出现此类问题。

    解决方法:在文件系统的根目录中释放足够的硬盘空间,然后重新启动安装程序。

  • 问题:#86858 在使用 JDK 1.6 的 Mac OS X 上出现重绘问题。

    描述:在拖动标签时,会拖动一个黑色的方形区域。在放下标签后,则出现了重绘“欢迎”屏幕的问题。

    解决方法:设置 -J-Dapple.awt.graphics.UseQuartz=true 或使用 Java 1.5 来运行 IDE(或在安装 NetBeans Enterprise Pack 时,使用 _select_ Java 1.5)。

BPEL
  • 在编辑由早期版本的 BPEL 工具创建的 xpath 表达式时,带前缀的表达式与不带前缀的表达式混合在一起。

    描述:目前,BPEL 工具中创建的所有 xpath 表达式都具有名称空间前缀。但是,由早期版本工具创建的 xpath 表达式中没有名称空间前缀。如果您在编辑由早期版本工具创建的 BPEL 时,为其添加了新的指定内容,则会因为 BPEL 引擎无法处理这种带前缀的表达式与不带前缀的表达式的混合情况而出现以下问题:

    • 无法获得所需的结果,原因是不带前缀的表达式无法返回结果。
    • 出现异常,原因是代码希望获取一个返回结果,但是由于缺少前缀而无法返回结果。

    解决方法:手动编辑不带前缀的表达式,为其添加前缀。

  • 在测试运行 JBI 生命周期时,BPEL 服务引擎出现“遇到意外的回复活动”错误。

    描述:遇到意外的回复活动。可能的原因是:为给定的接收活动提供了多个潜在的回复活动。在多线程的环境中运行基准项目时会出现服务器端错误,即:

    • 为 BPEL-SE 配置了多个线程(缺省值为 10 个线程)
    • BPEL-SE 运行在多处理器计算机上(也可能运行在一个功能非常强大的单一 CPU 计算机上)

    此问题会出现在以下任何业务流程中:该业务流程从其他业务流程或外部 Web 服务接收错误,并且在多线程的环境中运行。
    由于基准项目具有一个从其他业务流程接收错误的业务流程,因此在运行生命周期测试时会出现此错误。
    在 Solaris 和 Windows 中都会出现此问题。

    解决方法:更改基准项目,让业务流程利用通常的回复而不是错误进行通信。

  • 完成 BPEL 流程测试后,该流程仍在继续运行。

    描述:当前,运行时不支持超时执行流程。这会导致业务流程无限期地等待特定事件的发生。

    解决方法:考虑使用 Pick 活动及其活动警报分支(如果适用)。

  • 问题 #79530:在 XML 架构文件中添加新元素后,映射器未刷新。

    描述:在 XSD 文件中添加新元素后,映射器未刷新。

    解决方法:关闭并重新打开映射器窗口。

  • 问题 #80208:在 UNIX 上,有时无法编辑字符型框中的输入文本字段。

    描述:在 UNIX 上,双击字符型框中的文本字段后会立即变为编辑模式,然后又很快恢复为非编辑模式。

    解决方法:双击字符型框中的文本字段,在文本字段返回到非编辑模式之前,快速单击“BPEL 映射器”编辑器字段内的空白位置。字符型框将会处于编辑模式。

  • 问题 #81298:WSDL 模块无法解析 portType。

    描述:当主 WSDL 与导入的 WSDL 具有相同的目标名称空间时,WSDL 模式将无法解析 portType。

    解决方法:为导入的 WSDL 文件分配一个名称空间,区别于导入 WSDL 文件的名称空间。

  • 问题:#81528:导入 WSDL 文件时出现生成和验证错误。

    描述:将一个 WSDL 文件导入到另一个 WSDL 文件时未执行任何验证,同时,显示了相应的错误消息。

    解决方法:转至 WSDL 编辑器的“源”视图,删除刚添加的导入文件及名称空间。然后转至 "WSDL" 视图的树模式下,再次添加相同的导入文件。

  • 问题 #82612:测试 BluePrint4Application 项目失败。

    描述:将 BluePrint4Application 项目部署到应用服务器后,如果未按特定的顺序运行样例测试,则会导致测试失败。这是由于 BluePrint 4 BPEL 流程中使用了关联。

    解决方法:按照下面指定的某个顺序来运行 BluePrint4Application 测试。

    • poServiceRequest -> poRequestCancel
    • poServiceRequest -> poRequestConfirm
  • 问题 #84622:当取消了合作伙伴链接对话框后,IDE 不对 WSDL 文件执行回滚检索。

    描述:当您将 WSDL 文件或 Web 服务节点从 NetBeans 项目拖到图中时,会出现合作伙伴链接对话框。如果您取消了该对话框,则 IDE 不对 WSDL 文件执行回滚检索。

    解决方法:如果项目不需要这些文件,只需从“项目”窗口中手动删除这些文件,如同删除任何其他项目资源一样。

  • 问题 #86499:如果合作伙伴服务的接口发生更改,则 BPEL 流程挂起。

    描述:如果合作伙伴服务的接口发生更改,例如,当 Web 服务操作的签名发生更改并且您未导入修改的 WSDL 文件时,BPEL 流程会挂起。

    解决方法:导入新的 WSDL 文件并重新部署应用程序。此外,可能需要重新启动 BPEL 服务引擎。

  • 问题 #87221:从“导航”中删除关联集的属性时,错误地删除了 WSDL 的属性。

    描述:如果使用“导航”中的弹出式菜单命令来删除关联集中的属性,则会错误地删除 WSDL 文件中的属性。

    解决方法:使用关联集属性编辑器正确地删除关联集中的属性。

  • 问题 #87624:通过“导航”为损坏的 BPEL 调用操作时会抛出异常,并出现 IDE 挂起。

    描述:通过“导航”为损坏的 BPEL 调用操作时会抛出异常,并出现 IDE 挂起。

    解决方法:当 BPEL 损坏时,应该禁用“导航”中的所有操作。请不要通过“导航”为损坏的 BPEL 调用任何操作,应首先解决 BPEL 的错误。

  • 问题 #87719:尽管 BPEL 文件的格式正确无误,但却出现了“无法显示图”消息。

    描述:尽管 BPEL 文件的格式正确无误,但却出现了“无法显示图”消息。

    解决方法:重新启动 IDE。

  • 问题 #90292:NetBeans Visual Web Pack 5.5 破坏了 NetBeans Enterprise Pack 5.5 BPEL/SOA 项目中的拖放功能。

    描述: NetBeans Visual Web Pack 5.5 破坏了 NetBeans Enterprise Pack 5.5 BPEL/SOA 项目中的拖放功能。

    解决方法:从 NetBeans IDE 主菜单中选择“工具”>“更新中心”以启动更新中心向导。通过更新中心,安装 NetBeans Visual Web Pack 5.5 Update 1 最终发行版本。
    请注意,虽然使用 NetBeans Visual Web Pack 5.5 技术预览发行版本的用户可以看到 Update 1 版本,但要使 Update 1 版本生效,则必须卸载技术预览版本,然后通过 NetBeans Visual Web Pack 5.5 下载页下载并安装 NetBeans Visual Web Pack 5.5 的最终发行版本。

安全的 Web 服务
  • Java 版本 1.6 不支持访问管理器。

    描述:Java 版本 1.6 不支持访问管理器。

    解决方法:请使用 Java 1.5.x 来运行访问管理器。

  • AM 配置器与安装程序在 AMConfig.properties 文件方面存在不一致。

    描述:如果在安装了访问管理器服务器后对其配置进行了更改,但是并未修改 AMConfig.properties 文件以反映这些更改,则会引起配置的访问管理器服务器与 AMConfig.properties 文件之间存在差异,从而导致 IDE 无法通过客户端 SDK 与访问管理器服务器进行通信。

    解决方法:手动将客户端的 AMConfig.properties 文件保持同步,以正确反映访问管理器服务器信息。

  • 问题 #82233:如果 URL 基于 "localhost",则对于利用 Liberty 配置文件来提供安全 Web 服务的应用程序来说,在执行时会出现失败。

    描述:如果 URL 基于 "localhost",则对于利用 Liberty 配置文件来提供安全 Web 服务的应用程序来说,在执行时会出现失败。通过 IDE 调用“运行项目”时,IDE 生成的缺省 URL 中包含 "localhost"。

    解决方法:通过浏览器访问 stockclient 时,使用不包含 "localhost" 名称的主机名。

  • 问题 #83497:如果在 IDE 中使用系统代理设置,则无法编辑访问管理器的配置文件。

    描述:在 Windows 上,NetBeans Enterprise Pack 5.5 使用 Internet Explorer 的代理设置作为系统代理设置。如果 IE 的代理设置不正确,则会导致连接失败且无法编辑访问管理器配置文件。

    解决方法:在 IDE 中设置自己的代理设置,具体方法是:打开“工具”>“选项”对话框,选中“HTTP 代理”,然后输入相应的代理设置。

  • 问题 #86234:将使用了 Liberty 标记配置文件安全机制的 J2EE 1.4 Web 应用程序打包到 EAR 中时,需要手动添加安全角色映射。

    描述:如果将使用了 Liberty 标记配置文件安全机制的 J2EE 模块添加到企业应用程序项目中,则需要在企业应用程序中手动添加 J2EE 模块的角色,以确保端对端的安全。

    解决方法:在企业应用程序项目中的“配置文件”下,使用 XML 文本编辑器为 "sun-application.xml" 文件添加以下代码行。

    <security-role-mapping>
    	<role-name>AUTHENTICATED_USERS</role-name>
    	<principal-name>AUTHENTICATED_USERS</principal-name>
    </security-role-mapping> 
    
  • 问题 #87160:如果系统的时钟设置发生更改,则在远程系统上部署 WSP 时会出现 Liberty 注册失败。

    描述:这是访问管理器的一个特点。AMConfig.properties 文件中含有一项设置,用于对来自搜索服务的响应规定超时限制。由于系统时钟之间存在时间差异,所以注册请求被视为“旧消息”而遭到拒绝。

    解决方法:请保持系统时钟同步。

XML 架构工具
  • 问题 #83610:在列视图中有时无法删除多个选定的节点。

    描述:当使用列视图时,对多个选定的节点调用弹出式菜单中的“删除”命令后,有时只能删除其中一个选定的节点。

    解决方法:执行多重选择并使用 Delete 键,或者依次执行单个选择并从上下文菜单中选择“删除”,或者使用树编辑器。

XML 架构工具、BPEL 和安全 Web 服务模块

当使用 NetBeans Enterprise Pack 5.5 模块时,IDE 中会出现以下问题。

  • IDE 无法识别根目录 "/" 下创建的项目。

    描述:在 Mac OS X、Solaris 和 Linux 上,IDE 无法识别根目录 "/" 下创建的项目。

    解决方法:在某个文件夹中创建项目。

  • 在某些亚洲语言环境中,无法正常显示字符。

    描述:在使用简体中文语言环境(也可能是某些其他亚洲语言环境)的 Red Hat Fedora Core 3 上运行 IDE 时,文本会由于呈现问题而不可读。这是由于 Fedora Core 版本上的 JDK 存在字体支持问题,因此,此问题可能也存在于 Fedora Core 上运行的其他 Java 应用程序中。

    解决方法:目前没有有效的办法来解决 Red Hat Fedora Core 3 上存在的呈现问题,因此,最好在这些语言环境中使用不同的 Linux 版本或操作系统。我们已验证了在 Red Hat Enterprise Linux 3 上不会出现这种问题。

返回页首


文档

NetBeans Enterprise Pack 5.5 发行版本的文档包括基于 Web 的指南和 IDE 的帮助系统。以下文档可以帮助您快速入门:

返回页首


更多信息

您可以在 NetBeans Enterprise Pack Web 站点上获取相关的文章及其他有价值的信息。更多信息,请访问 http://enterprise.netbeans.org/index.html

您还可以在 NetBeans 项目 Web 站点上获取有价值的信息。由于 NetBeans 是一个开源项目,因此您还可以通过该 Web 站点访问源代码、错误数据库,并获取有关创建您自己的 NetBeans 模块等信息。更多信息,请访问 https://netbeans.org/


返回页首


Not logged in. Log in, Register

By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2016, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo